coupang
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/requested/{requestedId}v1

[Instant Discount Coupon] Check request status

# 01

Summary

Available buyer market: Korea You can check the result of your request sent to Instant discount coupon API through the requested Id. Using the requested Id returned by Coupon creation, cancellation, item creation and item cancellation API calls, you can check your request result(Done/fail).

# 02

Details

Available buyer market: Korea
You can check the result of your request sent to Instant discount coupon API through the requested Id.
Using the requested Id returned by Coupon creation, cancellation, item creation and item cancellation API calls, you can check your request result(Done/fail).

Path

GET

/v2/providers/fms/apis/api/v1/vendors/{vendorId}/requested/{requestedId}

Example Endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00000001/requested/649102321051192483

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String
A vendor ID
An unique code Coupang assigns to a vendor
e.g.) A00012345
requestedId O Number
An Id to run a query on results

Request Example

not require body

Response Message

Name Type Description
code Number
Server response code
message String
Server response message
httpStatus Number
HTTP Status Code(the same as server response code)
httpStatusMessage String
HTTP Status Message (the same as server response message)
errorMessage String
Statuses other than HTTP Status 200 contain a message on why server failed.
data Object
Data on done/fail
  success Boolean
Success
true or false
  content Object
Request Id to run a query on the status
    couponId Number
A coupon ID(Wing's coupon number)
e.g.) 70, 85, 778
    requestedId String
A requested Id to run a query on the status
e.g.) 1542675975663862164
    status String
Processing status
Code status
REQUESTED requested
FAIL fail
DONE success
    succeeded Number
The No. of "succeeded"
    total Number
The No. of "requested"(*A total number of vendor item IDs for coupon item creation)
    type String
Request type
Code To do
COUPON_PUBLISH Create a coupon
COUPON_EXPIRE Cancel a coupon
COUPON_ITEM_PUBLISH Create an item for coupon
COUPON_ITEM_EXPIRE Cancel an item for coupon
    failed Number
The No. of "failed"
    failedVendorItems Array
Details on failed vendor items
      reason String
Reason for failure
      vendorItemId Long
The failed vendor item Id
  Pagination null
No paging

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": {
      "couponId": 778,
      "requestedId": "4080133932843441",
      "type": "COUPON_PUBLISH",
      "status": "DONE",
      "total": 1,
      "succeeded": 1,
      "failed": 0,
      "failedVendorItems": []
    },
    "pagination": null
  }
}

Error Spec

HTTP status code (Error type) Error message Solution
400 (Check the requested parameter) Check an access to vendor information. Check that a vendor Id is correctly entered.
An example of data details on the failed items failedVendorItems":[{"vendorItemId":32261389517,"reason":"[CIE00] It is not a valid option Id. Check that an option Id(vendor item Id) is correctly entered.
An example of data details on the failed items failedVendorItems":[{"vendorItemId":32261388477,"reason":"[CIR06] An option is not found. Check that an option Id(vendor item Id) is entered correctly.
An example of data details on the failed items failedVendorItems":[{"vendorItemId":3226138847,"reason":"[CIR08] The option concerned already has another coupon issued. Check that an option ID(vendor item Id) is correctly entered.